Bug 813242 - kdelibs: crashes in KColorDialog::grabColor
kdelibs: crashes in KColorDialog::grabColor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
: 813248 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 06:08 EDT by Martin Bříza
Modified: 2013-08-01 07:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:40:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash backtrace (3.22 KB, text/plain)
2012-04-17 08:20 EDT, Martin Bříza
no flags Details

  None (edit)
Description Martin Bříza 2012-04-17 06:08:28 EDT
Description of problem:
Kruler constantly crashes when it is set to "screen width" length and being used in Fedora 17 RC4.1.

Version-Release number of selected component (if applicable):
4.8.1 (same as KDE)

How reproducible:
always

Steps to Reproduce:
1. Set length to full screen width (my screen resolution is 1440x900 at the moment)
2. Use it... Crashes in a few seconds

Additional info
I wasn't able to install debug symbols at this moment. I will provide backtraces if I'll get them.
Comment 1 Rex Dieter 2012-04-17 06:42:10 EDT
I cannot reproduce any failure(s) as described.  Will anxiously await your backtrace.
Comment 2 Rex Dieter 2012-04-17 06:43:43 EDT
(or retest with kde-4.8.2 from -testing)
Comment 3 Martin Bříza 2012-04-17 08:20:45 EDT
Created attachment 578017 [details]
Crash backtrace

I finally managed to get the backtrace only with KDE 4.8.2, however, it is still present.
Comment 4 Rex Dieter 2012-04-17 08:43:47 EDT
#6  0x00007fe5a593e80b in KColorDialog::grabColor (p=...) at /usr/src/debug/kdelibs-4.8.2/kdeui/colors/kcolordialog.cpp:1759

Seems something down in kdelibs
Comment 5 Rex Dieter 2012-04-17 08:44:27 EDT
*** Bug 813248 has been marked as a duplicate of this bug. ***
Comment 6 Rex Dieter 2012-04-17 09:27:37 EDT
So, the code that's failing is in XGetPixel ?


QColor
KColorDialog::grabColor(const QPoint &p)
{
#ifdef Q_WS_X11
    // we use the X11 API directly in this case as we are not getting back a valid
    // return from QPixmap::grabWindow in the case where the application is using
    // an argb visual
    if( !qApp->desktop()->geometry().contains( p ))
        return QColor();
    Window root = RootWindow(QX11Info::display(), QX11Info::appScreen());
    XImage *ximg = XGetImage(QX11Info::display(), root, p.x(), p.y(), 1, 1, -1, ZPixmap);
    unsigned long xpixel = XGetPixel(ximg, 0, 0);
Comment 7 Rex Dieter 2012-04-17 09:29:12 EDT
or XGetImage is encountering some problem and returning NULL perhaps.
Comment 8 Kevin Kofler 2012-04-17 10:39:15 EDT
I guess some new "security" feature in X11 is preventing access to stuff outside of the application window(s).
Comment 9 Fedora End Of Life 2013-07-03 23:43:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 07:40:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.